library ClothInfo;

uses
  SysUtils,
  classes,
  forms,
  WinTypes,
  WinProcs,
  midaslib,
  U_GetDllForm in 'U_GetDllForm.pas',
  U_DataLink in 'U_DataLink.pas' {DataLink_ClothInfo: TDataModule},
  U_iniParam in 'U_iniParam.pas',
  U_BaseHelp in '..\..\..\public10\design\U_BaseHelp.pas' {frmBaseHelp},
  U_BaseInput in '..\..\..\public10\design\U_BaseInput.pas' {frmBaseInput},
  U_BaseList in '..\..\..\public10\design\U_BaseList.pas' {frmBaseList},
  U_cxGridCustomCss in '..\..\..\public10\design\U_cxGridCustomCss.pas',
  U_globalVar in '..\..\..\public10\design\U_globalVar.pas',
  U_WindowFormdesign in '..\..\..\public10\design\U_WindowFormdesign.pas',
  U_CompressionFun in '..\..\..\public10\ThreeFun\Fun\U_CompressionFun.pas',
  U_RTFun in '..\..\..\public10\ThreeFun\Fun\U_RTFun.pas',
  U_AttachmentUpload in '..\A00通用窗体\U_AttachmentUpload.pas' {frmFjList_RZ},
  U_CompanySel in '..\A00通用窗体\U_CompanySel.pas' {frmCompanySel},
  U_EmployeeSel in '..\A00通用窗体\U_EmployeeSel.pas' {frmEmployeeSel},
  U_ClothType in 'U_ClothType.pas' {frmClothType},
  U_CloInfoFileUp in 'U_CloInfoFileUp.pas' {frmCloInfoFileUp},
  U_TatClothInfo in 'U_TatClothInfo.pas' {frmTatClothInfo},
  U_LabelMapSet in '..\A00通用窗体\U_LabelMapSet.pas' {frmLabelMapSet},
  U_LabelPrint in '..\A00通用窗体\U_LabelPrint.pas' {frmLabelPrint},
  U_KnitClothInfoSel in '..\A00通用窗体\U_KnitClothInfoSel.pas' {frmKnitClothInfoSel},
  U_TatClothInfoSel in '..\A00通用窗体\U_TatClothInfoSel.pas' {frmTatClothInfoSel},
  U_YarnInfoSel in '..\A00通用窗体\U_YarnInfoSel.pas' {frmYarnInfoSel},
  U_PatternSel in 'U_PatternSel.pas' {frmPatternSel},
  U_ZDYHelp in '..\..\..\public10\ThreeFun\Form\U_ZDYHelp.pas' {frmZDYHelp},
  U_DictList in 'U_DictList.pas' {frmDictList},
  U_DictSel in '..\..\..\public10\ThreeFun\Form\U_DictSel.pas' {frmDictSel},
  U_ClothInfoSel in '..\A00通用窗体\U_ClothInfoSel.pas' {frmClothInfoSel};

{$R *.res}

procedure DllEnterPoint(dwReason: DWORD); far; stdcall;
begin
  DLLProc := @DLLEnterPoint;
  DllEnterPoint(DLL_PROCESS_ATTACH);
end;

procedure DLLUnloadProc(Reason: Integer); register;
begin
//  if (Reason = DLL_PROCESS_DETACH) or (Reason = DLL_THREAD_DETACH) then
//    Application := NewDllApp;
end;

exports
  GetDllForm;

begin
  try
    NewDllApp := Application;
    DLLProc := @DLLUnloadProc;
  except

  end;
end.

